Loading...
Searching...
No Matches
CustomElementDialog Class Reference

Dialog window for mapping custom elements into elemental types. More...

`#include <customelementdialog.h>`

Inheritance diagram for CustomElementDialog:

## Public Slots

void | apply ()

## Public Member Functions

| CustomElementDialog (Molecule &mol, QWidget *parent=nullptr)

## Static Public Member Functions

static void | resolve (QWidget *parent, Molecule &mol)

## Detailed Description

<avogadro/qtgui/customelementdialog.h>

## Member Function Documentation

## resolve()

void resolve | ( | QWidget * | parent,
|  | Molecule & | mol )

static

Static entry point for using this dialog. parent is the parent of the dialog, mol is the molecule to operate on.

## apply

void apply | ( |  | ) |

slot

Apply the changes to the molecule.

The documentation for this class was generated from the following file:

- customelementdialog.h